Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!
Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

  1. #1
    Senior Member
    Join Date
    May 2001
    Posts
    411

    WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    For those of you who use FreeBSD pre-4.6, be forewarned that 4.6 is fscked when it comes to firewalling and NAT. Not sure what the FreeBSD boys did, but they sure messed up this time.

    Also, you must install wrapper if you want to launch X as non-root. That seems like one hell of a restrictive security measure!!! Like, would anyone want to run X all the time as root?

    I used to enjoy FreeBSD but these latest "improvements" in 4.6 make me wonder what the boys are smoking.

    You've been warned.

    KORREKTION: You can get firewalling to work with IPFW but NAT seems broken...or, at least, it's so different from previous versions -- and there's no documentation -- that making it work is like doing something with Winblows. Bad FreeBSD.... :-X

  2. #2

    Re:WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    Hey ashcrow, ready for some OpenBSD advocating

  3. #3
    Moderator
    Good Guru
    Schotty's Avatar
    Join Date
    Jul 2001
    Location
    Milwaukee, WI
    Posts
    5,760

    Re:WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    No shit! I am glad you two got me onto OpenBSD instead of FreeBSD

  4. #4

    Re:WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    [quote author=Schotty link=board=10;threadid=4001;start=0#39854 date=1025563136]
    No shit! I am glad you two got me onto OpenBSD instead of FreeBSD
    [/quote]

    Heh! Theo screams at the developpers when the -CURRENT cvs tree does not build!

  5. #5
    Moderator
    Good Guru
    Schotty's Avatar
    Join Date
    Jul 2001
    Location
    Milwaukee, WI
    Posts
    5,760

    Re:WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    WOW!

    Thats hardcore! I suppose thats why there's been no remote hole in ... 5 Years!

  6. #6
    Associate
    Join Date
    Oct 2001
    Posts
    16

    Re:WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    [quote author=Coral Sea link=board=10;threadid=4001;start=0#39828 date=1025547726]

    Also, you must install wrapper if you want to launch X as non-root. That seems like one hell of a restrictive security measure!!! Like, would anyone want to run X all the time as root?
    [/quote]

    You must've been used to installing XFree86 4.x by packages, because 'wrapper' has been needed since 4.0 came out. I use to compile it to start XFree as non-root on FreeBSD 4.4. So that's not new to 4.6.


  7. #7

    Re:WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    [quote author=GnuVince link=board=10;threadid=4001;start=0#39852 date=1025562780]
    Hey ashcrow, ready for some OpenBSD advocating
    [/quote]

    Thats what FreeBSD is all about! Getting people to use OpenBSD! ;D

  8. #8
    Senior Member
    Join Date
    May 2001
    Posts
    411

    Re:WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    [quote author=Kint link=board=10;threadid=4001;start=0#39859 date=1025565241]
    [quote author=Coral Sea link=board=10;threadid=4001;start=0#39828 date=1025547726]

    Also, you must install wrapper if you want to launch X as non-root. That seems like one hell of a restrictive security measure!!! Like, would anyone want to run X all the time as root?
    [/quote]


    You must've been used to installing XFree86 4.x by packages, because 'wrapper' has been needed since 4.0 came out. I use to compile it to start XFree as non-root on FreeBSD 4.4. So that's not new to 4.6.


    [/quote]

    Funny, never noticed it before with 3.3.6 or 4.X. Anyway, NAT is still broken, which is what I'm really pissed with... >

  9. #9

    Re:WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    I haven't had any problem natting, except that it's slow, but I think that's my mom's computer. Keep us informed on the situation if you will.

  10. #10
    Senior Member
    Join Date
    May 2001
    Posts
    411

    Re:WARNING!!! FreeBSD 4.6 Borked...Bad FreeBSD!!!!

    In my case, when I try to compile IPDIVERT into the kernel, the system hangs during the boot process. So, you could say that it might not be NAT proper that's broken, but IPDIVERT is.

    For now, I'm running Mandy with an IPTABLES firewall/router that works just fine. Might have to dispense with FreeBSD or else give OpenBSD a whirl. Or, maybe I'll put Libranet or Slack on the partition where FreeBSD is now.

Similar Threads

  1. FreeBSD
    By 10Dedfish in forum BSD
    Replies: 3
    Last Post: 12-04-2006, 03:05 AM
  2. FreeBSD 5.2 now out!
    By Kernel_Killer in forum BSD
    Replies: 1
    Last Post: 01-13-2004, 04:46 PM
  3. anyone ever try freeBSD ?
    By capybara in forum Linux - General Topics
    Replies: 4
    Last Post: 08-24-2003, 11:16 AM
  4. FreeBSD
    By seamonkey in forum BSD
    Replies: 17
    Last Post: 03-14-2003, 01:15 AM
  5. FreeBSD 4.5 Out
    By Ashcrow in forum BSD
    Replies: 12
    Last Post: 02-04-2002, 05:44 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •